Skip to content

Usage

All operations require authentication.

2 operationsv1/license/office · /license/officePrepaid
Agent setup

Get tenant usage statisticsAlpha

GET
/1.0/license/office/{serviceName}/usageStatistics

Returns, for each day between from and to, the peak and end-of-day counts of activated licenses of the tenant, by license type.

Path parameters

serviceName
required
string

Service name

Query parameters

from
stringdate-time

Period's start point

to
stringdate-time

Period's end point

Response

200OfficeCurrentStatisticsNative[]successful operation
date
read-only
stringdate

Date of the statistics

lines
read-only
StatisticsLineNative[]

List of lines associated to this statistics entity.

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/usageStatistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01", "lines": [ { "endOfDayCount": 0, "licenceType": "officeBusiness", "peakCount": 0 } ] }]

Get parent tenant usage statisticsAlpha

GET
/1.0/license/officePrepaid/{serviceName}/tenantUsageStatistics

Returns, for each day between from and to, the peak and end-of-day counts of activated licenses of the parent tenant, by license type.

Path parameters

serviceName
required
string

Service name

Query parameters

from
stringdate-time

Period's start point.

to
stringdate-time

Period's end point.

Response

200OfficeCurrentStatisticsNative[]successful operation
date
read-only
stringdate

Date of the statistics

lines
read-only
StatisticsLineNative[]

List of lines associated to this statistics entity.

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/tenantUsageStatistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01", "lines": [ { "endOfDayCount": 0, "licenceType": "officeBusiness", "peakCount": 0 } ] }]